"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var pact_1 = require("@pact-foundation/pact");
var config_1 = require("./internal/config");
var withTimeout_1 = require("./internal/withTimeout");
var scaffold_1 = require("./internal/scaffold");
var setupProvider = function (options) {
    var pactMock = new pact_1.Pact(options);
    beforeAll(function () { return pactMock.setup(); });
    afterAll(function () { return pactMock.finalize(); });
    afterEach(function () { return pactMock.verify(); });
    return pactMock;
};
// This should be moved to pact-js, probably
exports.getProviderBaseUrl = function (provider) {
    return provider.mockService
        ? provider.mockService.baseUrl
        : "http://" + provider.opts.host + ":" + provider.opts.port;
};
var pactWithWrapper = function (options, tests) {
    withTimeout_1.withTimeout(options, function () {
        tests(setupProvider(config_1.applyPactOptionDefaults(options)));
    });
};
exports.pactWith = scaffold_1.extendPactWith(pactWithWrapper);
exports.xpactWith = exports.pactWith.skip;
exports.fpactWith = exports.pactWith.only;
